#--*-coding:utf-8-*--

class BeginningIdol < DiceBot

  def initialize
    super
    @sendMode = 2
    @sortType = 1
    @d66Type = 2
  end

  def gameName
    'ビギニングアイドル'
  end

  def gameType
    "BeginningIdol"
  end

  def prefixs
     ['[1-7]*PD\d+(?:\+|\-?)\d*', 'HW', 'BWT', 'LWT', 'TWT', 'CWT', 'LO\d{0,2}', 'WT', 'VA', 'MU', 'DR', 'VI', 'SP', 'CHR', 'PAR', 'SU', 'WI', 'NA', 'AT[1-6]?', 'LUR', 'SUR', 'WUR', 'NUR', 'BT\d*', 'SGT', 'RS', 'SH', 'MO', 'SEA', 'SPA', 'TN', 'CG', 'GG', 'FL', 'LN', 'MS', 'ST', 'FST', 'CHO', 'SCH', 'WCH', 'NCH', 'IT\d*', 'DT', 'RC', 'CBT', 'RCB', 'HBT', 'RHB', 'RU', '\d{1,2}C', 'BVT', 'LVT', 'TVT', 'CVT', 'BST', 'LST', 'TST', 'CST', 'BPT', 'LPT', 'TPT', 'CPT', 'BIT', 'LIT', 'TIT', 'CIT']
  end

  def getHelpMessage
    return <<INFO_MESSAGE_TEXT
・パフォーマンス　[r]PDn[+m/-m](r：場に残った出目　n：振る数　m：修正値)
・ワールドセッティング仕事表　BWT：大手芸能プロ　LWT：弱小芸能プロ
　TWT：ライブシアター　CWT：アイドル部　LO[n]：地方アイドル(n：チャンス)
　SU：情熱の夏　WI：ぬくもりの冬　NA：大自然
・仕事表　WT　VA：バラエティ　MU：音楽関係　DR：ドラマ関係
　VI：ビジュアル関係　SP：スポーツ　CHR：クリスマス　PAR：パートナー関係
・特技リスト　AT[n](n：分野No.)
・アイドルスキル修得表　SGT：チャレンジガールズ　RS：ロードトゥプリンス
・変調　BT[n](n：発生数)
・アイテム　IT[n](n：獲得数)
・衣装　DT：チャレンジガールズ　RC：ロードトゥプリンス
・無茶ぶり表　LUR：地方アイドル　SUR：情熱の夏　WUR：ぬくもりの冬　NUR：大自然
・センタールール　HW：向かい風シーン表　FL：駆け出しシーン表　LN：孤独表
　MS：マイスキル修得　演出表【ST　FST：ファンタジー】
・合宿ルール　散策表【SH：ショッピングモール　MO：山　SEA：海　SPA：温泉街】
　TN：夜語りシチュエーション表　成長表【CG：コモン　GG：ゴールド】
・サビ表　CHO　SCH：情熱の夏　WCH：ぬくもりの冬　NCH：大自然
・キャラ空白表　CBT：チャレンジガールズ　RCB：ロードトゥプリンス
・趣味空白表　HBT：チャレンジガールズ　RHB：ロードトゥプリンス
・マスコット暴走表　RU
・バーストタイム　nC(n：温度)
・会場表
　BVT：大手芸能プロ　LVT：弱小芸能プロ　TVT：ライブシアター　CVT：アイドル部
・場所表
　BST：大手芸能プロ　LST：弱小芸能プロ　TST：ライブシアター　CST：アイドル部
・プレッシャー種別決定表
　BPT：大手芸能プロ　LPT：弱小芸能プロ　TPT：ライブシアター　CPT：アイドル部
・道具表
　BIT：大手芸能プロ　LIT：弱小芸能プロ　TIT：ライブシアター　CIT：アイドル部
D66ダイスあり
INFO_MESSAGE_TEXT
  end

  def check_2D6(total_n, dice_n, signOfInequality, diff, dice_cnt, dice_max, n1, n_max)
    check_nD6(total_n, dice_n, signOfInequality, diff, dice_cnt, dice_max, n1, n_max)
  end

  def check_nD6(total_n, dice_n, signOfInequality, diff, dice_cnt, dice_max, n1, n_max)
    return '' unless signOfInequality == ">="
    if(dice_n <= 2)
      return " ＞ ファンブル(PCは【思い出】1つ獲得)\n" + badStatus
    elsif(dice_n >= 12)
      return " ＞ スペシャル！(PCは【思い出】1つ獲得)"
    elsif(total_n >= diff)
      return " ＞ 成功"
    else
      return " ＞ 失敗"
    end
  end

  def rollDiceCommand(command)
    case command.upcase
    when /^([1-7]*)PD(\d+)(\+|\-?)(\d*)$/
      title = 'パフォーマンス'
      counts = $2.to_i
      return nil if counts <= 0 || $3.empty? != $4.empty?
      residual = $1.dup
      adjust = $4.to_i
      adjust = -adjust if /^\-$/ =~ $3
      string = ''
      string += '+' if adjust > 0
      string += "#{adjust}" unless adjust == 0

      diceAll = [0, 0, 0, 0, 0, 0, 0, 0]
      diceByOne = []
      rollEach1D6(counts, diceAll, diceByOne)

      residualDiceByOne = []
      residual.length.times do |i|
        number = residual[i, 1].to_i
        diceAll[number] += 1
        residualDiceByOne.push(number)
      end
      residualDiceByOne.sort!

      total = 0
      diceUse = []
      for i in 1..7
        if diceAll[i] == 1
          total += i
          diceUse.push(i)
        end
      end

      text = " ＞ [" + diceByOne.join(',') + ']'
      if residual.empty?
        text = "#{title}#{text}"
      else
        text = "シンフォニー#{text}"
      end
      unless residual.empty?
        text += ',[' + residualDiceByOne.join(',') + ']'
      end
      text += "#{string} ＞ "
      if total == 0
        if residual.empty?
          total = 10 + adjust
          text += "【ミラクル】#{total}"
        else
          total = 15 + adjust
          text += "【ミラクルシンクロ】#{total}＋シンフォニーを行った人数"
        end
      elsif total == 21 && !diceUse.include?(7)
        unless residual.empty?
          text += '[' + diceUse.join(',') + "]#{string} ＞ "
        end
        total = 30 + adjust
        text += "【パーフェクトミラクル】#{total}"
      else
        total += adjust
        text += '[' + diceUse.join(',') + "]#{string} ＞ #{total}"
      end
      return text

    when 'HW'
      title = '向かい風シーン表'
      table = [
        "誰もいない屋内。静寂が世界を包んでいる。嵐の前の静けさだ。",
        "話し声が絶えない夕暮れの帰り道。みんなが明るい声を上げる中、自分の周りだけがぽっかり穴が空いたかのように静かだ。",
        "曇り空になってきた。早く屋内に行かないと、雨でぬれてしまうかもしれない。",
        "ゲリラ豪雨だ。傘も持ってきていないので、激しい雨に打たれるしかない。ついてないな。",
        "夜空を雲が覆いつくしてしまっている。空を見上げても、星の輝きは見えない。",
        "屋内の電気がトラブルで点灯しないようだ。暗い世界は、気分まで滅入ってしまう。",
      ]
      return textFrom1D6Table(title, table)

    when 'BWT'
      title = '大手芸能プロダクション仕事表'
      table = [
        [11, "オフ", ''],
        [12, "先輩アイドルが司会を務めるバラエティ番組に出演！　どんなコーナーを任されるんだろう？", 'AT5'],
        [13, "先輩アイドルと街歩き番組で共演。この街には何があるんだろう？", 'AT6'],
        [14, "先輩アイドルが音楽番組に出演。バックダンサーを務めることに。", '《ダンス／趣味9》'],
        [15, "先輩アイドルと一緒にグラビア撮影。負けないように目立とう。", '《マイペース／キャラ4》'],
        [16, "アイドル紹介番組で、先輩アイドルから紹介される。元気にいこう。", '《元気／キャラ8》'],
        [22, "オフ", ''],
        [23, "先輩アイドルのラジオ番組にゲスト出演。トークでうまく盛り上げられるかな？", '《キャラ分野の空白／キャラ7》'],
        [24, "同期アイドルたちと一緒に、大掛かりなアスレチックセットに挑戦！", '《運動神経／才能8》'],
        [25, "特別な衣装で行う演劇の仕事がやって来た。どんな衣装なんだろう？", 'AT2'],
        [26, "プロダクションの超大御所が出演する番組に呼ばれる。", '《胆力／才能5》'],
        [33, "オフ", ''],
        [34, "シーンプレイヤーのキャラクターを活かしたミニドラマが制作される。", 'シーンプレイヤーの修得しているキャラ分野の特技'],
        [35, "海外ロケを行うプロダクション制作の旅番組に出演。今日はどこまで行くんだろうか？", '《海外／出身12》'],
        [36, "プロダクション内の劇場で、シーンプレイヤーの「好きなもの」を使った演劇が始まる。", 'シーンプレイヤーの修得している趣味分野の特技'],
        [44, "オフ", ''],
        [45, "ファッションブランドと提携したファッションショーに招待される。", '《おしゃれ／趣味5》'],
        [46, "アイドル雑誌の出版社から取材がやってきた。うまく対応しよう。", '《物腰丁寧／キャラ10》'],
        [55, "オフ", ''],
        [56, "シリーズもののドラマにちょっとした役で出演！", '《演技力／才能12》'],
        [66, "プロダクション内で総選挙が開始！　今回のテーマは……？", 'AT'],
      ]
      return textFromD66Table(title, table)

    when 'LWT'
      title = '弱小芸能プロダクション仕事表'
      table = [
        [11, "オフ", ''],
        [12, "パートナープレイヤーの「身体的特徴」にびびっと来たTV曲からオファーが来る。", 'パートナープレイヤーが修得している身長分野の特技'],
        [13, "スタントマンなしのアクションドラマが製作開始！　オーディションを受けることに。", '《運動神経／才能8》'],
        [14, "歌番組のオーディションに挑戦！　たくさんのライバルの中から、選ばれることを目指す！", '《集中力／キャラ4》'],
        [15, "飲み屋に営業へ。アイドルにあまり興味なさそうな客層だけど……。", '《マイペース／キャラ4》'],
        [16, "結婚式のパンフレット写真を撮ることに。花嫁さんってどんな気分だろう？", '《スタイル／才能3》'],
        [22, "オフ", ''],
        [23, "CDデビューをかけて、バラエティ番組で他のアイドルと対決！", 'AT4'],
        [24, "CDショップで、CDを手渡し販売。よろしくお願いします。", '《元気／キャラ8》'],
        [25, "ローカル番組に出演。この地方では、何が流行っているんだろう？", 'AT6'],
        [26, "劇の脇役を勝ち取るためにオーディションを受ける。平凡な女の子を演じるらしい。", '《プレーン／属性7》'],
        [33, "オフ", ''],
        [34, "パートナープレイヤーの「好きなもの」が題材のドラマが製作中。オーディションを受けよう。", 'パートナープレイヤーが修得している属性分野の特技'],
        [35, "パートナープレイヤーの「嫌いなもの」を題材にしたドラマにオファーが……。", 'パートナープレイヤーが修得している趣味分野の特技'],
        [36, "コーラスに欠員が出たアイドルライブの穴埋めとして選ばれる。主役のキャラに合わせないと。", 'AT2'],
        [44, "オフ", ''],
        [45, "PCたちの事務所にレポートのカメラが入る。小さいけどがんばってます！", 'AT'],
        [46, "オフ", ''],
        [55, "オフ", ''],
        [56, "オフ", ''],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'TWT'
      title = 'ライブシアター仕事表'
      table = [
        [11, "オフ", ''],
        [12, "シアター内でドラマを収録。テーマは、パートナープレイヤーの「好きなもの」だ。", 'パートナープレイヤーが修得している属性分野の特技'],
        [13, "シアター内で売り出すCDを制作。テーマは、シーンプレイヤーの「好きなもの」だ。", 'シーンプレイヤーが修得している趣味分野の特技'],
        [14, "シアターの売店に駆り出される。直接お客さんと触れ合うチャンス！", '《笑顔／才能7》'],
        [15, "シアター内でグッズを販売。今の売れ線は何かな？", 'AT4'],
        [16, "シアター内で握手会を開催！　来てくれたみんなに感謝を。", '《気配り／才能9》'],
        [22, "オフ", ''],
        [23, "今回の劇、シーンプレイヤーの【背景】を元にしたノンフィクションドラマ！", 'AT5'],
        [24, "シアターを使って、バラエティの企画が開始。みんなを笑わせよう。", '《ばか／キャラ12》'],
        [25, "シアターに流れるミニラジオの収録。メンバーに無茶ぶりをするコーナーが見せ場。", 'AT4'],
        [26, "シアターにファッションデザイナーを招いてファッションショー。うまく魅せていこう。", 'AT2'],
        [33, "オフ", ''],
        [34, "シアター企画、1D6時間耐久ダンスが始まる……！", '《体力／才能6》'],
        [35, "シアター企画、パートナープレイヤーは「嫌いなもの」に何回挑戦できるか！", 'パートナープレイヤーが修得している趣味分野の特技'],
        [36, "シアター企画、シーンプレイヤー対「嫌いなもの」！", 'シーンプレイヤーが修得しているキャラ分野の特技'],
        [44, "オフ", ''],
        [45, "シアター企画、非常に高いゴールを使ったバスケット！　……本当にできるの？", '《190～／身長12》'],
        [46, "シアター企画、動物と触れ合うアイドルの姿を中継！", '《ペット／趣味3》'],
        [55, "オフ", ''],
        [56, "シアターの外で行う仕事をこなす。", 'AT'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'CWT'
      title = 'アイドル部仕事表'
      table = [
        [11, "オフ", ''],
        [12, "先生に頼まれて、入部希望者たちの校内案内を務めることになった。", '《物腰丁寧／キャラ10》'],
        [13, "校内イベントの司会進行をすることになった。うまく盛り上げられるかな？", '《ポップ／属性9》'],
        [14, "校内放送に出演。全校生徒の前でも、緊張しないようにしないと。", '《胆力／才能5》'],
        [15, "部活の大会に応援をしに行くことに。長い試合は、体力勝負だ。", '《体力／才能6》'],
        [16, "アイドル部を取材する記者がやって来た。うまく自分たちの言葉を語れるかな？", '《気配り／才能9》'],
        [22, "オフ", ''],
        [23, "近くの幼稚園で歌を披露することになった。小さい子と目線を合わせないと……。", '《～125／身長2》'],
        [24, "メイド喫茶をすることになった。パートナープレイヤーの「好きなもの」が主なメニューだ。", 'パートナープレイヤーが修得している趣味分野の特技'],
        [25, "校内のイベントを取材することになった。そこにはパートナープレイヤーの「嫌いなもの」が……。", 'パートナープレイヤーが修得しているキャラ分野の特技'],
        [26, "パートナープレイヤーの「ファッション特徴」を活かした、校内ファッションショー。", 'パートナープレイヤーが修得している属性分野の特技'],
        [33, "オフ", ''],
        [34, "地元の商店街からお店の手伝いを依頼される。町を盛り上げていこう。", '《ショッピング／趣味8》'],
        [35, "地元のイベントに出演。郷土愛が試される！", 'プロデューサーが出身分野の特技から選ぶ'],
        [36, "パートナープレイヤーの「身体的特徴」に惹かれた企業からオファーが来た！", '《セクシー／属性4》'],
        [44, "オフ", ''],
        [45, "オフ", ''],
        [46, "オフ", ''],
        [55, "オフ", ''],
        [56, "オフ", ''],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when /^LO(\d{0,2})$/
      title = '地方アイドル仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "握手会をすることになった。遠方から自分たち目当てにやって来るお客さんも多数見える。チャンスが5以下ならオフ。", '《アイドル／趣味12》'],
        [14, "ミニコンサートが全国放送で小さく紹介される。ちょっとだけ、外見が注目されたみたいだ。チャンスが4以下ならオフ。", '《スタイル／才能3》'],
        [15, "地元ラジオ局で自分たちの番組が始まる。チャンスが3以下ならオフ。", '《キャラ分野の空白／趣味7》'],
        [16, "地元のテレビ局にゲスト出演。うまく自分たちを紹介できるだろうか？　チャンスが3以下ならオフ。", '好きな出身分野の特技'],
        [22, "オフ", ''],
        [23, "街頭でティッシュ配りの手伝いをする。笑顔を忘れずに、がんばろう。", '《笑顔／才能7》'],
        [24, "地元のお手伝いの一環として、害虫退治に駆り出された。なぜ、こんなことに。", '《胆力／才能5》'],
        [25, "畑仕事のお手伝いをすることになった。とりあえず、体力が要求される。", '《体力／才能6》'],
        [26, "ショッピングモールのお手伝いをすることになった。うまくお手伝いができれば、繁盛するかも。", '《ショッピング／趣味8》'],
        [33, "オフ", ''],
        [34, "インターネットラジオに出演。声とトークで。地域のことを伝えていこう。", '《異国文化／才能2》'],
        [35, "地元のテレビ局の取材が入る。テーマは、地方でがんばっている人たちだ。", '《元気／キャラ8》'],
        [36, "デパートで風船を配るお手伝い。子どもたち相手のお仕事は、ちょっと大変です。", '《気配り／才能9》'],
        [44, "オフ", ''],
        [45, "着ぐるみを着て、市民と交流。暑くてつらい仕事だけど、大切な交流の時間です。", '《バーニング／属性10》'],
        [46, "観光地の物販コーナーで地元の特産品を売るお手伝い。地方アイドル的に、大切なお仕事。", '好きな出身分野の特技'],
        [55, "オフ", ''],
        [56, "動画サイトのチャンネルで、自分たちの宣伝を行なうことに。世界中に発信！", '《スター／属性12》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table, $1)

    when 'SU'
      title = '情熱の夏仕事表'
      table = [
        [11, "オフ", ''],
        [12, "飲料水のコマーシャル。美味しそうに飲もう。", '《演技力／才能12》'],
        [13, "夏のパレードのコマーシャル。今回のテーマは、パートナープレイヤーの「好きなもの」。", 'パートナープレイヤーが修得している趣味分野の特技'],
        [14, "海水浴場のコマーシャル。見ている人に、元気をおすそ分けできればいいな。", '《ポップ／属性9》'],
        [15, "避暑地のコマーシャル。涼しいところで、ゆったりと過ごしているところをお届け。", '《マイペース／キャラ4》'],
        [16, "虫避け商品のコマーシャル。虫に立ち向かう男らしさを求められる。", '《硬派／キャラ9》'],
        [22, "オフ", ''],
        [23, "水族館で元気なイルカたちとショーをする。", '《元気／キャラ8》'],
        [24, "少年野球の始球式を任される。球児たちに恥ずかしくないピッチングを魅せないと。", '《スポーツ／趣味4》'],
        [25, "夏のファッションを雑誌で発表することになった。この時期のコーデはこれ！", '《おしゃれ／趣味5》'],
        [26, "番組で夏野菜を美味しく食べる必要に迫られる。ゴーヤをアイドルらしく食べよう。", '《沖縄／出身2》'],
        [33, "オフ", ''],
        [34, "ビーチバレーで敵のアイドルと対決だ！　夏の暑さに負けるな！", '《バーニング／属性10》'],
        [35, "ビーチで他のアイドルとナンパ対決をすることになった。どちらがうまくこなせるかな？", '《軟派／キャラ5》'],
        [36, "夏のグルメ特集！　夏バテ防止のためにも、たくさん食べるところを魅せなければ。", '《料理／趣味6》'],
        [44, "オフ", ''],
        [45, "夏休みの子供たちと触れ合う番組に呼ばれる。子供たちの相手も大変だ。", '《気配り／才能9》'],
        [46, "夏の旅行番組。夏ならではの、地元の強みを伝えることに。", 'シーンプレイヤーが修得している出身分野の特技'],
        [55, "オフ", ''],
        [56, "夏だからアツアツのお風呂に叩きこまれる。リアクションを撮りたいようだ。", '《ばか／キャラ12》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'WI'
      title = 'ぬくもりの冬仕事表'
      table = [
        [11, "オフ", ''],
        [12, "クリスマスがテーマのコマーシャルソングを歌う。恋人たちに祝福を！", '《パッション／属性8》'],
        [13, "スキー場のコマーシャルムービーを撮ることに。うまく滑れるといいな。", '《スポーツ／趣味4》'],
        [14, "苦い失恋をテーマにしたコマーシャルムービーを撮ることになった。クールに決めよう。", '《クール／属性11》'],
        [15, "スケートリンクのコマーシャルムービーに出演。氷上で華麗にダンスを決めよう。", '《ダンス／趣味9》'],
        [16, "アイスのコマーシャルムービーに出演。寒いのを耐えろ！", '《胆力／才能5》'],
        [22, "オフ", ''],
        [23, "年末年始に流れる鉄道のコマーシャルムービーに起用される。清潔感のある演技が必要だ。", '《プレーン／属性7》'],
        [24, "温泉地のコマーシャル。温泉に必要なのは、やっぱりセクシーさかな？", '《セクシー／属性4》'],
        [25, "冬ファッションを雑誌で紹介することになった。冬コーデはこれで決まり！", '《おしゃれ／趣味5》'],
        [26, "雪かきの大変さを伝えるために、東北で雪かきを手伝う。これは重労働だ。", '《東北地方／出身10》'],
        [33, "オフ", ''],
        [34, "年末のバラエティ番組で、関西の芸人と一緒にコントをやることになった。ノリを合わせよう。", '《近畿地方／出身6》'],
        [35, "年末のフェスで、有名アイドルたちと共演！　スターに負けない迫力を出そう。", '《スター／属性12》'],
        [36, "冬の北海グルメを伝えるために、北海道に飛ぶ。果たして、寒さに耐えられるのか。", '《北海道／出身11》'],
        [44, "オフ", ''],
        [45, "冬のグルメ特集。鍋の作り方を教えます。", '《料理／趣味6》'],
        [46, "バレンタインに向けて、女の子たちにアドバイス。", '《フェミニン／属性5》'],
        [55, "オフ", ''],
        [56, "冬だからアツアツのお風呂に叩きこまれる。暖かいというか熱い！", '《ばか／キャラ12》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'NA'
      title = '大自然仕事表'
      table = [
        [11, "オフ", ''],
        [12, "渓流で釣り対決！　たくさん釣ったほうが勝ち！", '《集中力／才能4》'],
        [13, "海岸で釣りをすることに。釣った魚がおいしいほうが勝ち。", '《胆力／才能5》'],
        [14, "虫取りに挑戦。元気に戯れる図を撮りたいとのこと。", '《元気／キャラ8》'],
        [15, "キャンプを張ろう。みんな快適に寝泊りができるように、心配りが大事。", '《気配り／才能9》'],
        [16, "海で泳ぎの対決。自分のペースを守って、戦おう。", '《マイペース／キャラ4》'],
        [22, "オフ", ''],
        [23, "森でナンパ対決！　……動物にモテた方が勝ち！", '《ペット／趣味3》'],
        [24, "森で鬼ごっこをすることになった。相手の動きを読めば勝てる！", 'パートナープレイヤーが修得している身長分野の特技'],
        [25, "森の奥で、動物との戦いが始まった。や、やるしかない。", '《運動神経／才能8》'],
        [26, "オフ", ''],
        [33, "オフ", ''],
        [34, "料理ができる男をここでアピール！　飯盒炊爨（はんごうすいさん）に挑戦！", '《料理／趣味6》'],
        [35, "山登り対決。早く登るよりも、怪我をしないように気をつけたい。", '《体力／才能6》'],
        [36, "薪拾い。地味な絵面になってしまうので、退屈をさせないように魅せよう。", '《キャラ分野の空白／キャラ7》'],
        [44, "オフ", ''],
        [45, "視聴者が喜びそうなここだけの話をパートナープレイヤーにする。", 'パートナープレイヤーが修得しているキャラ分野の特技'],
        [46, "些細なことでパートナープレイヤーと喧嘩になる。どっちが強いか勝負だ！", 'パートナープレイヤーが修得している才能分野の特技'],
        [55, "オフ", ''],
        [56, "ドラム缶風呂を用意することに。……熱いんだけど！", '《バーニング／属性10》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'WT'
      title = '仕事表'
      table = [
        [11, "オフ", ''],
        [12, "握手会が始まる。アイドルとして重要な場面、集中していこう。", '《アイドル／趣味12》'],
        [13, "パートナープレイヤーの「嫌いなもの」に取材をすることになった。大丈夫かな……？", 'パートナープレイヤーが修得している趣味分野の特技'],
        [14, "シーンプレイヤーの「好きなもの」に関する番組の仕事だ！　テンション上がるー！", 'シーンプレイヤーが修得している趣味分野の特技'],
        [15, "パートナープレイヤーの「ファッション特徴」を活かす仕事がやって来た。", 'パートナープレイヤーが修得している属性分野の特技'],
        [16, "クライアントから、もっとパートナープレイヤーの「個性特技」を推していこうよ、と提案を受ける。", 'パートナープレイヤーの個性特技'],
        [22, "オフ", ''],
        [23, "学園ドラマを撮影！　二人のキャラ付けはどうなるのかな？", 'AT4'],
        [24, "ドラマのアクションシーンを撮ることに。コンビネーションで切り抜けよう。", 'AT1'],
        [25, "感動系のドラマに出演。どんな能力が必要になるかな？", 'AT3'],
        [26, "趣味の番組に出演。こんな世界があるのか……。", 'AT5'],
        [33, "オフ", ''],
        [34, "アイドルだらけのバラエティ番組に参戦！　どのアイドルよりも高い点数を取るといいらしい！", '《ばか／キャラ12》'],
        [35, "スポーツ番組の賑やかしとして呼ばれた！　スポーツのこと、わかりますか？", '《スポーツ／趣味4》'],
        [36, "クイズ番組に二人でゲスト出演。力を合わせて勝ち抜くか、それとも自分らしさを重視するか……。", '《学力／才能10》'],
        [44, "オフ", ''],
        [45, "料理番組に出演。どんな料理を作ろうかな。", '《料理／趣味8》'],
        [46, "CDショップでサイン会を開催。ファンを喜ばせることができるかな？", '《気配り／才能9》'],
        [55, "オフ", ''],
        [56, "二人にグラビア撮影の仕事が来た。スタイルのよさを魅せるチャンス？", '《スタイル／才能3》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'VA'
      title = 'バラエティ仕事表'
      table = [
        [11, "オフ", ''],
        [12, "食べたものをリポートする番組に出演。どうすれば味を言葉で表現できるだろうか？", '《料理／趣味6》'],
        [13, "スポーツする番組に出演。どれだけ活躍できるかが試される。", '《スポーツ／趣味4》'],
        [14, "トーク番組に出演。二人の喋りをうまく魅せなければ。", '《気配り／才能9》'],
        [15, "猛獣の檻に入って、ボール遊びをすることに。度胸が肝心！", '《胆力／才能5》'],
        [16, "パートナープレイヤーの「好きなもの」を題材にした番組コーナーを任された。", 'パートナープレイヤーの修得している趣味分野の特技'],
        [22, "オフ", ''],
        [23, "街歩き番組に出演。軽快なトークで、素人の人たちからうまい言葉を引き出そう。", '《軟派／キャラ5》'],
        [24, "釣り番組に出ることになったが、大物を釣るまで帰れないという。さて、動きの少ない釣りでどうやって目立つか……。", '《キャラ分野の空白／キャラ7》'],
        [25, "パートナープレイヤーの「嫌いなもの」を題材にした番組コーナーで、いじり役を任されることになった。", 'パートナープレイヤーの修得しているキャラ分野の特技'],
        [26, "クイズ番組に出演。問題とどう向き合うか、それが大事だ。", '《学力／才能10》'],
        [33, "オフ", ''],
        [34, "農作業体験番組に出演。クワを持って畑に出かけよう。", '《体力／才能6》'],
        [35, "工作体験番組に出演。いい物をスタジオにお届けできるよう、物づくりを真剣に行おう。", '《集中力／才能4》'],
        [36, "電子ゲームやアナログゲームを遊ぶ番組に出演。どんな風に盛り上げられるかな？", '《ゲーム／趣味10》'],
        [44, "オフ", ''],
        [45, "今日は漫才をするようだ。笑わせるには、何が必要だろうか。", '《ばか／キャラ12》'],
        [46, "シチュエーションコントに出演。大げさな演技が求められる。", '《演技力／才能12》'],
        [55, "オフ", ''],
        [56, "趣味的な番組に出ることになった。今日のテーマは何かな。", '《趣味分野の空白／趣味7》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'MU'
      title = '音楽関係仕事表'
      table = [
        [11, "オフ", ''],
        [12, "シーンプレイヤーとパートナープレイヤーでミニライブをすることになった。うまく声を合わせよう。", 'パートナープレイヤーの修得している属性分野の特技'],
        [13, "歌番組で取り上げられる。どんな気持ちで歌ったのか、うまく表現して伝えよう。", '《パッション／属性8》'],
        [14, "パートナープレイヤーとハーモニーを重ねる歌がやってきた。二人の特徴をうまく声に乗せよう。", 'パートナープレイヤーの修得している才能分野の特技'],
        [15, "CDの手渡し販売が開始。心を込めて、笑顔で手渡しだ。", '《笑顔／才能7》'],
        [16, "レコーディングに音楽業界の大物が立ち会う。緊張せず、自分の実力を発揮しよう。", '《胆力／才能5》'],
        [22, "オフ", ''],
        [23, "パートナープレイヤーと話し合って歌詞を作ることになった。お互いのことをよく理解しよう。", 'パートナープレイヤーの修得しているキャラ分野の特技'],
        [24, "活動範囲を広げるために、色々な楽器に挑戦！", '《音楽／趣味11》'],
        [25, "高級そうなバーで歌うことに。高級感のあるファッションを身につけることを条件に歌うことを許される。", '《セレブ／才能11》'],
        [26, "中学生がターゲットのCDを販売することになった。心の中の中学生を解放するときが来た！", '《中二病／キャラ2》'],
        [33, "オフ", ''],
        [34, "子供向けの歌を作ることになった。視線を子供に近づけないと。", '《～125／身長2》'],
        [35, "結婚式の歌を任される。祝福の気持ちを込めて歌おう。", '《気配り／才能9》'],
        [36, "レースを盛り上げるアップテンポな曲を作ることに。", '《元気／キャラ8》'],
        [44, "オフ", ''],
        [45, "パートナープレイヤーの地元を象徴するような歌を作ることになった。地元の話を聞き出そう。", 'パートナープレイヤーの修得している出身分野の特技'],
        [46, "ホラームービーの主題歌を担当することになった。怖さを声で表現できるだろうか？", '《オカルト／趣味2》'],
        [55, "オフ", ''],
        [56, "作曲家の先生と打ち合わせ。自分のイメージをうまく伝えられるかな？", '《物腰丁寧／キャラ10》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'DR'
      title = 'ドラマ関係仕事表'
      table = [
        [11, "オフ", ''],
        [12, "エキストラで出演。できるだけ目立たないように……。", '《プレーン／属性7》'],
        [13, "刑事ドラマに刑事役で出演。クールに決めよう。", '《クール／属性11》'],
        [14, "刑事ドラマに犯人役で出演。悪いことをはぐらかす演技が必要だ。", '《ミステリアス／キャラ3》'],
        [15, "医療ドラマに医者役で出演。臓器や血にひるまずがんばろう。", '《胆力／才能5》'],
        [16, "再現アニメの吹き替えに挑戦。できるだけ丁寧に。", '《物腰丁寧／キャラ10》'],
        [22, "オフ", ''],
        [23, "悪役に挑戦。暗い気持ちが必要だ。", '《ダーク／属性3》'],
        [24, "学園ドラマに悩める生徒役で出演。青春らしさをどこまで見せようか。", '《中二病／キャラ2》'],
        [25, "時代劇に出演。硬派に決めるシーンがやって来た。", '《硬派／キャラ9》'],
        [26, "特撮にヒーロー役で出演。熱い演技を見せるとき！", '《バーニング／属性10》'],
        [33, "オフ", ''],
        [34, "共演者に超有名人が！　緊張せずにがんばろう。", '《マイペース／キャラ4》'],
        [35, "気難しい監督にいろいろ注意される。どう対応したものか……。", '《スター／属性12》'],
        [36, "パートナープレイヤーの【背景】を再現したミニドラマを撮るようだ。彼の過去をどう表現したものか。", 'パートナープレイヤーの修得している属性分野の特技'],
        [44, "オフ", ''],
        [45, "アクションドラマに出演。アクションを決められるかどうかがカギだ。", '《運動神経／才能8》'],
        [46, "恋愛ドラマに出演。共演者をどきどきさせる演技が必要とのこと。", '《セクシー／属性4》'],
        [55, "オフ", ''],
        [56, "感動系ドラマに出演。泣くシーンは、ここ一番の見せ場だ！", '《演技力／才能12》'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'VI'
      title = 'ビジュアル関係仕事表'
      table = [
        [11, "オフ", ''],
        [12, "ビーチでグラビア撮影の仕事が入る。肉体美を見せるとき。", '《セクシー／属性4》'],
        [13, "ファッション誌の取材がやって来て、自分らしいファッションを見せてほしいと頼まれる。", '《キャラ分野の空白／キャラ7》'],
        [14, "地方ごとのファッションを取り入れるファッションショーが開幕。出演することに。", 'AT6'],
        [15, "ファッションショーにモデルとして登場。完璧なスタイルを見せつけろ。", '《スタイル／才能3》'],
        [16, "雑誌でシーンプレイヤーおすすめコーデを紹介するようだ。どんな組み合わせを街に発信しようか。", '《おしゃれ／趣味5》'],
        [22, "オフ", ''],
        [23, "パートナープレイヤーの「身体的特徴」がちょっとした流行になった。乗るしかない、このビッグウェーブに。", 'パートナープレイヤーが修得している身長分野の特技'],
        [24, "深夜番組の1コーナーに、シーンプレイヤーの「身体的特徴」の特集が組まれるようだ。それに乗っかろう。", 'シーンプレイヤーが修得している身長分野の特技'],
        [25, "ニュース番組の1コーナーで、パートナープレイヤーの「ファッション特徴」が紹介される。うまくアシストしよう。", 'パートナープレイヤーが修得している身長分野の特技'],
        [26, "シーンプレイヤーの「ファッション特徴」を売っている企業から、CMに出てくれないかと頼まれる。", 'シーンプレイヤーが修得している属性分野の特技'],
        [33, "オフ", ''],
        [34, "女性のファッションについて語る番組に出演。", '《フェミニン／属性5》'],
        [35, "高い身長向けの衣装が届いた。これを使ってうまく魅せられるのか？", '《190～／身長12》'],
        [36, "テレビ番組でアニメキャラのコスプレをすることに。自分らしく決めポーズ。", '《趣味分野の空白／趣味7》'],
        [44, "オフ", ''],
        [45, "低身長向けコーデを作ったデザイナーから連絡が入る。それを見事に着こなしてほしいとのこと。", '《146／身長6》'],
        [46, "子供と共演するCMを撮ることになった。子供に愛されるファッションを考えよう。", '《～125／身長2》'],
        [55, "オフ", ''],
        [56, "パートナープレイヤーを宣材用の撮影向けにコーディネートすることになった。さて、どうしてやろうか。", 'パートナープレイヤーが修得している身長分野の特技'],
        [66, "オフ", ''],
      ]
      return textFromD66Table(title, table)

    when 'SP'
      title = 'スポーツ仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "マラソン大会に参加することになった。とにかく、走ろう。", '《体力／才能6》'],
        [23, "サッカー選手たちにインタビュー！　サッカーの魅力を聞き出そう。", '《スポーツ／趣味4》'],
        [24, "野球の始球式をすることになった。自分らしく、キャラクターを前面に出して投げるのがコツ。", '《キャラ分野の空白／キャラ7》'],
        [25, "バスケットボールを体験！　その魅力を伝えよう。", '《スポーツ／趣味4》'],
        [26, "ラグビーのパワフルさを間近で体験。見ている人たちにも迫力を伝えないと。", '《スポーツ／趣味4》'],
        [33, "アメフトのハーフタイムショーの短い時間を任される。集中して魅力を出し切ろう。", '《集中力／才能4》'],
        [34, "チアリーディング（男性アイドルは応援団）でスポーツ選手たちの応援をすることに。みんながんばれ！", '《キュート／属性6》'],
        [35, "陸上競技を一通り体験！　それぞれの種目の見どころを発信しよう。", '《運動神経／才能8》'],
        [36, "水泳をする仕事がやってきた。競泳水着をカッコよく着こなそう。", '《クール／属性11》'],
        [44, "スポーツドリンクのCMだ。「生き返る」感じを出していこう。", '《パッション／属性8》'],
        [45, "運動靴のCM。パートナープレイヤーを力強く追い抜いて、速くなれることをアピール！", '《バーニング／属性10》'],
        [46, "ジャージや体操服のCMが入ってきた。うまく着こなして、運動着もおしゃれなことを証明しよう。", '《おしゃれ／趣味5》'],
        [55, "近々開催される大会の応援団長を任された。出場する選手たちにエールを送ろう！", '《元気／キャラ8》'],
        [56, "テニスの試合をパートナープレイヤーとやることになった。ダブルスでいこう。", 'パートナープレイヤーが修得している属性分野の特技'],
        [66, "ゴルフコースを回りながら、プロから手ほどきを受けることに。丁寧な言葉遣いで、大人っぽく振舞おう。", '《物腰丁寧／キャラ10》'],
      ]
      return textFromD66Table(title, table)

    when 'CHR'
      title = 'クリスマス仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "雪の積もる野外コンサートホールでミニライブ。苛酷な環境だけど、耐え抜かないと。", '《体力／才能6》'],
        [23, "ラジオの公開録音中に、クリスマスケーキ作りにチャレンジすることになった。うまく作れるかな？", '《料理／趣味6》'],
        [24, "アイドルが提案するクリスマスデート用のファッションを雑誌で紹介。勝てるコーデを考えてみよう。", '《おしゃれ／趣味5》'],
        [25, "ケーキ屋さんと提携して、クリスマスケーキの売り込みをすることに。", '《ショッピング／趣味8》'],
        [26, "地元の中学校のクリスマスイベントに登場。学生のみんなと一緒に盛り上がろう。", '《パッション／属性8》'],
        [33, "クリスマスに放映される特別ドラマにパートナープレイヤーの恋人役で出演。恋愛をうまく演じられるかな？", '《演技力／才能12》'],
        [34, "トークバラエティのクリスマス特番に呼ばれて収録を始める。本日のテーマは、「恋」について。", '《軟派／キャラ5》'],
        [35, "ラジオ番組で、家族と過ごすクリスマスの思い出について語ることになった。", '《異国文化／才能2》'],
        [36, "セクシーサンタグランプリというファッション大会に出ることになった。セクシーアイドルたちと対決だ！", '《セクシー／属性4》'],
        [44, "遊園地で行われるクリスマスイベントのCMを撮影することになった。楽しそうな笑顔を見せよう。", '《笑顔／才能7》'],
        [45, "サンタクロースの格好をして、小学生たちにプレゼントを配ることになった。オファーはかわいさ重視！", '《キュート／属性6》'],
        [46, "サンタクロースの格好をして、街でイベントをすることに。異国っぽさをうまく出せるかな？", '《海外／出身12》'],
        [55, "クリスマスをテーマにした写真集が発売。そのうちの何枚かを担当することに。", '《スタイル／才能3》'],
        [56, "新人アイドルたちが歌うクリスマスソングを収めたカバーアルバムが発売。自分たちも収録されています。", '《音楽／趣味11》'],
        [66, "アイドルとデートをした気分になれるDVDが発売。自分たちも、クリスマス編の収録を行った。", '《アイドル／趣味12》'],
      ]
      return textFromD66Table(title, table)

    when 'PAR'
      title = 'パートナー関係仕事表'
      table = [
        [11, "オフ", ''],
        [12, "オフ", ''],
        [13, "オフ", ''],
        [14, "オフ", ''],
        [15, "オフ", ''],
        [16, "オフ", ''],
        [22, "パートナープレイヤーの【背景】に関する仕事がやって来る。こいつは何を見てきたんだ？", 'パートナープレイヤーの個性特技'],
        [23, "パートナープレイヤーの「好きなもの」に関する仕事がやって来る。場を盛り上げていこう。", 'パートナープレイヤーが修得している趣味分野の特技'],
        [24, "パートナープレイヤーの「嫌いなもの」に関する仕事がやって来る。どうフォローしたものか。", 'パートナープレイヤーが修得しているキャラ分野の特技'],
        [25, "パートナープレイヤーの「身体的特徴」に関する仕事がやって来る。どこがいいのかを聞いてみる。", 'パートナープレイヤーが修得している属性分野の特技'],
        [26, "パートナープレイヤーの「ファッション特徴」に関する仕事がやって来る。自分も真似をすることに。", 'パートナープレイヤーが修得している身長分野の特技'],
        [33, "パートナープレイヤーの個性特技に関する仕事がやって来る。合わせてみよう。", 'パートナープレイヤーの個性特技'],
        [34, "パートナープレイヤーの「身体的特徴」に関する仕事がやって来る。どこがいいのかを聞いてみる。", 'パートナープレイヤーが修得している属性分野の特技'],
        [35, "パートナープレイヤーが修得している属性分野の特技に関する仕事がやって来る。", 'パートナープレイヤーが修得している属性分野の特技'],
        [36, "パートナープレイヤーが修得しているキャラ分野の特技に関する仕事がやって来る。", 'パートナープレイヤーが修得しているキャラ分野の特技'],
        [44, "シーンプレイヤーの【背景】を振り返らせるような仕事がやって来た。今はアイドルとしてそれをこなそう。", 'シーンプレイヤーの個性特技'],
        [45, "パートナープレイヤーが修得している趣味分野の特技に関する仕事がやって来る。", 'パートナープレイヤーが修得している趣味分野の特技'],
        [46, "パートナープレイヤーが修得している出身分野の特技に関する仕事がやって来る。", 'パートナープレイヤーが修得している出身分野の特技'],
        [55, "シーンプレイヤーの個性特技に関する仕事がやって来る。今こそ見せ場だ！", 'シーンプレイヤーの個性特技'],
        [56, "パートナープレイヤーが修得している才能分野の特技に関する仕事がやって来る。", 'パートナープレイヤーが修得している才能分野の特技'],
        [66, "シーンプレイヤーの「好きなもの」に関する仕事がやって来る。やったぜ！", 'シーンプレイヤーの個性特技'],
      ]
      return textFromD66Table(title, table)

    when /^AT([1-6]?)$/
      return skillList($1.to_i)

    when 'LUR'
      title = '地方アイドル無茶ぶり表'
      table1 = [
        "地元の商店街で",
        "マスコットキャラクターと",
        "地元のプールで",
        "地元の小学校で",
        "地元のショッピングモールで",
        "田んぼの真ん中で",
      ]
      table2 = [
        "愛について叫ぶ",
        "民謡を歌う",
        "ファッションショー",
        "水着で宣伝",
        "ネット配信",
        "お祭り騒ぎ",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'SUR'
      title = '情熱の夏無茶ぶり表'
      table1 = [
        "海水浴場で",
        "偉い人の前で",
        "あの有名アイドルの前で",
        "仲間の前で",
        "カメラの前で",
        "一般客の前で",
      ]
      table2 = [
        "かき氷いっき食い",
        "ナンパ",
        "スイカ割り",
        "カッコいいポーズ",
        "満面の笑顔",
        "喧嘩のふり",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'WUR'
      title = 'ぬくもりの冬無茶ぶり表'
      table1 = [
        "クリスマスツリーの前で",
        "子供たちの前で",
        "大雪の中で",
        "雪が降り始めた街で",
        "暖かい部屋の中で",
        "暖房が効きすぎの部屋の中で",
      ]
      table2 = [
        "雪かき",
        "アイスを食べる",
        "薄着で登場",
        "歌ってください",
        "サンタのコスプレ",
        "おでんを急いで食べる",
      ]
      return textFrom1D6Table(title, table1, table2)

    when 'NUR'
      title = '大自然無茶ぶり表'
      table1 = [
        "斧を持って",
        "クワを持って",
        "釣竿を持って",
        "虫取り網を持って",
        "栄養ドリンクの宣伝をしながら",
        "命綱をつけて",
      ]
      table2 = [
        "木を倒す",
        "畑を耕す",
        "昆虫採集",
        "大物を釣る",
        "一晩過ごす",
        "崖を登る",
      ]
      return textFrom1D6Table(title, table1, table2)

    when /^BT(\d*)$/
      counts = 1
      counts = $1.to_i unless $1.empty?
      return badStatus(counts)

    when 'SGT'
      title = 'アイドルスキル修得表(チャレンジガールズ)'
      table = [
        "シーンプレイヤーが修得している才能分野の特技が指定特技のアイドルスキル",
        "シーンプレイヤーが修得しているキャラ分野の特技が指定特技のアイドルスキル",
        "シーンプレイヤーが修得している趣味分野の特技が指定特技のアイドルスキル",
        "ランダムに決定した特技が指定特技のアイドルスキル(身長分野、属性分野、出身分野が出たら振り直し)",
        "《メンタルアップ》《パフォーマンスアップ》《アイテムアップ》のうちいずれか1つ",
        "《メンタルアップ》《パフォーマンスアップ》《アイテムアップ》のうちいずれか1つ",
      ]
      return textFrom1D6Table(title, table)

    when 'RS'
      title = 'アイドルスキル修得表(ロードトゥプリンス)'
      table = [
        "シーンプレイヤーが修得している属性分野の特技が指定特技のアイドルスキル",
        "シーンプレイヤーが修得しているキャラ分野の特技が指定特技のアイドルスキル",
        "シーンプレイヤーが修得している趣味分野の特技が指定特技のアイドルスキル",
        "ランダムに決定した特技が指定特技のアイドルスキル(身長分野、才能分野、出身分野が出たら振り直し)",
        "《メンタルディフェンス》《判定アップ》《個性アップ》のうちいずれか1つ",
        "《メンタルディフェンス》《判定アップ》《個性アップ》のうちいずれか1つ",
      ]
      return textFrom1D6Table(title, table)

    when 'SH'
      title = 'ショッピングモール散策表'
      table = [
        [11, "思いがけず、ブランドもの衣装を買えてしまった。これを、うまく使えないだろうか？\nシーンプレイヤーとパートナープレイヤーは、好きなブランドの衣装チケットを一つ獲得する。"],
        [12, "雑貨コーナーを回って、自分たちらしいアクセサリーを探す。\nシーンプレイヤーとパートナープレイヤーは、アイテム「キャラアイテム」を一つ獲得する。"],
        [13, "お歳暮コーナーが盛況だった。今のトレンドはなんだろうか。\nシーンプレイヤーとパートナープレイヤーは、アイテム「差し入れ」を一つ獲得する。"],
        [14, "お菓子売り場で、気になっていたお菓子のシリーズを買い漁る。\nシーンプレイヤーとパートナープレイヤーは、アイテム「お菓子」を一つ獲得する。"],
        [15, "スポーツショップに立ち寄って、スポーツドリンクを買い貯める。いつか使うかもしれない。\nシーンプレイヤーとパートナープレイヤーは、アイテム「スナミナドリンク」を一つ獲得する。"],
        [16, "スポーツウェアの展示会をやっていたので、見て回る。びびっと来たアイテムも見つかった。\nシーンプレイヤーとパートナープレイヤーは、アイテム「トレーニングウェア」を一つ獲得する。"],
        [22, "特売品を買い漁る。さて、使えるものかな？\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに二つ獲得する。"],
        [23, "シューズコーナーで、普段使いの靴を調達する。ダンスにちょうどいいのはどれかな？\nシーンプレイヤーとパートナープレイヤーは、アイテム「ドリーミングシューズ」を一つ獲得する。"],
        [24, "ふらりと買い物にやって来て、目についたものをとりあえず買ってみる。ちょっと疲れてたかも。\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [25, "色々な洋服を見て回って、自分やパートナーに合ったコーディネートを考えてみる。\nシーンプレイヤーとパートナープレイヤーは、【ビジュアル】が1点上昇する。"],
        [26, "ちょうど買いたかったものが、格安で売られていた。タイミングがよかったみたいだ。\nシーンプレイヤーとパートナープレイヤーは、好きなアイテムを一つ獲得する。"],
        [33, "ショッピングモールを歩いているうちに、アイテムを落としてしまう。\nシーンプレイヤーとパートナープレイヤーは、アイテムをすべて失う。"],
        [34, "ショッピングモールを歩いていると、声をかけられた。地元の人たちから、応援のメッセージをもらう。\nシーンプレイヤーとパートナープレイヤーは、【獲得ファン人数】が4点上昇する。"],
        [35, "ショッピングモールでは何も買わなかったが、交わした会話はお互いを知るきっかけになった。\nシーンプレイヤーとパートナープレイヤーは、お互いに対する【理解度】が3点上昇する。"],
        [36, "ベンチで一休みしながら、お互いの長所について話し合う。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [44, "混雑中のフードコートで食事をしようとしたところ、一時間近く待たされる。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が2点減少する。"],
        [45, "フードコートで定番メニューを頼み、勝手知ったる味を楽しむ。やっぱり、知っている味がいい。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が2点上昇する。"],
        [46, "フードコートで新しいメニューにチャレンジ！\nシーンプレイヤーとパートナープレイヤーは、1D6を振る。出目が奇数の場合、そのPCは【メンタル】が5点減少し、出目が偶数の場合、そのPCは【メンタル】が5点上昇する。"],
        [55, "CDコーナーを探しているうちに、迷ってしまった。さて、ここはどこだろう？\n変調がランダムに一つ発生する。"],
        [56, "カフェコーナーで一休み。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が5点上昇する。"],
        [66, "家具や家電コーナーを回るうちに、自分たちの将来が不安になってきた。\n変調がランダムに二つ発生する。"],
      ]
      return textFromD66Table(title, table)

    when 'MO'
      title = '山散策表'
      table = [
        [11, "山で迷っていたら、謎の仙人に助けられる。そのついでに、体をうまく動かす方法まで教わる。ありがとう！　謎の仙人！\nシーンプレイヤーとパートナープレイヤーの【合宿ポイント】が10点上昇する。"],
        [12, "山の幸を頂いて、幸福感に包まれる。うまい！\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [13, "星空の下で、二人の【背景】を語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [14, "森林浴をして、体調を整える。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇し、変調がすべて回復する。"],
        [15, "山登りを繰り返して、足腰を鍛える。\nシーンプレイヤーとパートナープレイヤーの【フィジカル】が1点上昇する。"],
        [16, "二人で一緒に朝日を見て、訳も分からず感動する。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [22, "山で迷った。\n変調がランダムに二つ発生する。"],
        [23, "山奥に住んでいるという、伝説のファッションデザイナーに着こなしの秘密を教えてもらう。\nシーンプレイヤーとパートナープレイヤーは、好きなブランドの衣装チケットを一つ獲得する。"],
        [24, "山奥に住んでいるという、伝説のレッスントレーナーに教えを乞いに足を延ばす。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [25, "ふらっと立ち寄った地元の飲食店で郷土料理を食べる。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [26, "山奥にある神社まで登って、お祈りをする。無事にライブが成功しますように。\nシーンプレイヤーとパートナープレイヤーの【合宿ポイント】が5点上昇する。"],
        [33, "虫にたかられて、嫌な思いをする。\n変調がランダムに一つ発生する。"],
        [34, "仲間たちみんなとバーベキューをして楽しむ。\nシーンプレイヤーとパートナープレイヤーは、PC全員に対する【理解度】が3点上昇する。"],
        [35, "キノコ狩りをする。\nシーンプレイヤーとパートナープレイヤーは、1D6を振る。その値が偶数だった場合、アイテム「スタミナドリンク」を一つ獲得する。奇数だった場合、【メンタル】が6点減少する。"],
        [36, "避暑地の喫茶店で一杯飲みながら、お互いのアイドル論について語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [44, "山を移動中に、落し物をしてしまう。\nシーンプレイヤーとパートナープレイヤーは、アイテムを一つ失う。"],
        [45, "山小屋で一晩を過ごす。お互いの生活習慣が見えてきた。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [46, "ハイキングをしながら、お互いの嫌いなものについて理解を深める。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [55, "野生の鹿に襲われそうになったので、プロデューサーが盾になった。\n変調「怪我」が発生する。"],
        [56, "高原の広々としたテニスコートでテニスを楽しむ。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [66, "山道を歩き疲れて、足が棒になる。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が3点減少する。"],
      ]
      return textFromD66Table(title, table)

    when 'SEA'
      title = '海散策表'
      table = [
        [11, "浜辺で行われていたミスコンに強制的に参加させられる。\nシーンプレイヤーとパートナープレイヤーの【獲得ファン人数】が1D6点上昇する。"],
        [12, "浜辺を散歩しながら、お互いの好きなものについて語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [13, "とれたての魚を使った寿司を食べて満足する。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [14, "浜辺を歩いていると、アイドルだと気づいた地元の人たちから声援が飛んでくる。\nシーンプレイヤーとパートナープレイヤーの【獲得ファン人数】が5点上昇する。"],
        [15, "童心に返って、海に向かって走り出す。やったー海だー！\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [16, "水泳で体を鍛える。荒れやすい海は特訓にもってこいだ！\nシーンプレイヤーとパートナープレイヤーの【フィジカル】が1点上昇する。"],
        [22, "せっかくだから釣りをしてみる。何が釣れるかな？\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [23, "二人で競い合いながら泳ぎまわる。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [24, "ちょっとだけ日に焼けて、違う自分をセルフプロデュース。ちゃんと事務所の許可はとれてます！\nシーンプレイヤーとパートナープレイヤーの【ビジュアル】が1点上昇する。"],
        [25, "砂浜にいい感じのタイヤがあったので、それを引っ張りながら走り込みをする。\nシーンプレイヤーとパートナープレイヤーの【フィジカル】が1点上昇する。"],
        [26, "海に向かって叫んで、すっきりする。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇し、【ボイス】が1点上昇する。"],
        [33, "しつこいナンパに誘われて、ちょっと意気消沈してしまう。\n変調がランダムに二つ発生する。"],
        [34, "みんなで花火をして楽しむ。\nシーンプレイヤーとパートナープレイヤーは、PC全員に対する【理解度】が2点上昇する。"],
        [35, "水着で決めるファンションをコーディネートして、浜辺の視線を一人占め。\nシーンプレイヤーとパートナープレイヤーは、【ビジュアル】が1点上昇する。"],
        [36, "魚料理を満足いくまで食べたはいいものの、食べ過ぎじゃないかが心配。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇する。"],
        [44, "穏やかな海を見ながら、これまでのことを思い返す。\n変調が一つ回復する。"],
        [45, "水族館に立ち寄ったら、お土産に色々持たされる。\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [46, "水族館のイルカショーから、新しい技のヒントをもらう。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [55, "海で遊んでいたら、溺れかける。\n変調がランダムに三つ発生する。"],
        [56, "サーファーたちから、人を惹きつける技術について聞き出す。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [66, "夜の海に出没するという幽霊らしきものを見かけてしまい、ぞっとする。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が5点減少する。"],
      ]
      return textFromD66Table(title, table)

    when 'SPA'
      title = '温泉街散策表'
      table = [
        [11, "地元のお祭りに遭遇！　一緒になって盛り上げる。\nシーンプレイヤーとパートナープレイヤーの【獲得ファン人数】が5点上昇する。"],
        [12, "卓球台を使って、お互いの力を出し切る。何かが掴めたような気がする。\nシーンプレイヤーとパートナープレイヤーの【合宿ポイント】が5点上昇する。"],
        [13, "お土産屋さんで、色々なものを買い込む。しかし、これは役に立つのだろうか。\nシーンプレイヤーとパートナープレイヤーは、アイテムをランダムに一つ獲得する。"],
        [14, "温泉からあがった後に、ゆっくりと涼む。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇し、変調がすべて回復する。"],
        [15, "温泉街の名物料理を出してもらう。うまい！\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [16, "浴衣で活気のある街並みを歩きながら、お互いの【背景】を語り合う。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が1D6点上昇する。"],
        [22, "湯に浸かり過ぎて目が回る。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇し、変調がランダムに一つ発生する。"],
        [23, "たくさんの温泉に次々浸かる。楽しいけど疲れた。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [24, "湯船に浸かってリフレッシュ。ひとまずは一息入れましょう。\n変調がすべて回復し、シーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [25, "ジャグジー風呂で肩こりや足のむくみを癒す。温泉地でもこういう施設はあるんだな。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が5点上昇する。"],
        [26, "みんなやプロデューサーを連れて足湯に浸かる。いつもご苦労様。\n変調がすべて回復する。"],
        [33, "のぼせる。\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が3点減少する。"],
        [34, "貸切風呂で、ゆったりとしながらお互いを理解をするための話し合いをする。\nシーンプレイヤーとパートナープレイヤーのお互いに対する【理解度】が3点上昇する。"],
        [35, "マッサージ機を使って、日ごろの疲れをたたき出す。\n変調をすべて回復する。"],
        [36, "お風呂の後の牛乳もうまい！\nシーンプレイヤーとパートナープレイヤーは、アイテム「スナミナドリンク」を一つ獲得する。"],
        [44, "ついつい無駄遣いをしてしまう。てへへ。\n変調がランダムに一つ発生する。"],
        [45, "屋台での観光客向けの料理に舌鼓をうつ。こういう味もありなのか。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が3点上昇する。"],
        [46, "温泉街の女将さんたちに、人の心を豊かにする術を教えてもらう。\nシーンプレイヤーとパートナープレイヤーは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [55, "部屋の中でぼけっと過ごす。\nシーンプレイヤーとパートナープレイヤーの【メンタル】が1点上昇する。"],
        [56, "観光客の人々と会話をして、自分たちの知名度を確認する。\nアイドルランク係数が「10」以上の場合、【獲得ファン人数】が4D6点上昇する。"],
        [66, "複雑な地形と坂道で疲れ始める。目的の場所はまだ？\nシーンプレイヤーとパートナープレイヤーは、【メンタル】が3点減少する。"],
      ]
      return textFromD66Table(title, table)

    when 'TN'
      title = '夜語りシチュエーション表'
      table = [
        ["みんなが寝静まった寝室。二人だけのお話。", '好きな特技'],
        ["夜の街を歩きながら、【背景】をぽつぽつと語り出す。", 'シーンプレイヤーの個性特技'],
        ["「好きなもの」を探しに出かけた帰り道。", 'シーンプレイヤーが修得している趣味分野の特技'],
        ["「嫌いなもの」から逃げてきて、二人きりになってしまった。", 'AT'],
        ["暗い道を往くとき、ふとしたきっかけで、「身体的特徴」に触れてしまう。", 'シーンプレイヤーが修得している身長分野の特技'],
        ["「ファッション特徴」の話に夢中になっていたら、いつの間にか二人になっていたことに気づく。", 'シーンプレイヤーが修得している属性分野の特技'],
      ]
      number, = roll(1, 6)
      return "#{title} ＞ [#{number}] ＞ " + table[number - 1][0] + skillText(table[number - 1][1])

    when 'CG'
      title = 'コモン成長表'
      table = [
        "【メンタル】が2点上昇する。",
        "【メンタル】が4点上昇する。",
        "『チャレンジガールズ』か『ロードトゥプリンス』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。",
        "アイテムをランダムに一つ獲得する。",
        "アイテムをランダムに一つ獲得する。",
        "【獲得ファン人数】が3点上昇する。",
      ]
      text = textFrom1D6Table(title, table)
      if /アイテムをランダムに一つ獲得する。$/ =~ text
        text += "\n" + getItem
      end
      return text

    when 'GG'
      title = 'ゴールド成長表'
      table = [
        [11, "好きなアイドルスキルを一つ選んで修得する。"],
        [12, "『チャレンジガールズ』か『ロードトゥプリンス』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [13, "『チャレンジガールズ』か『ロードトゥプリンス』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [14, "『チャレンジガールズ』か『ロードトゥプリンス』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [15, "『チャレンジガールズ』か『ロードトゥプリンス』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [16, "『チャレンジガールズ』か『ロードトゥプリンス』のアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [22, "好きなアイドルスキルを一つ選んで修得する。"],
        [23, "レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [24, "レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [25, "レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。"],
        [26, "好きな能力値一つが1点上昇する。"],
        [33, "好きな能力値一つが2点上昇する。"],
        [34, "【ボイス】が1点上昇する。"],
        [35, "【フィジカル】が1点上昇する。"],
        [36, "【ビジュアル】が1点上昇する。"],
        [44, "個性特技を別の特技に変更することができる。"],
        [45, "好きな能力値二つが1点上昇する。"],
        [46, "すべての能力値が1点上昇する。"],
        [55, "【メンタル】が10点上昇する。"],
        [56, "アイテムをランダムに一つ獲得する。"],
        [66, "個性特技の目標値が1点減少する。"],
      ]
      skillTitle = 'レアアイドルスキル修得表'
      skillTable = [
        "【秘めたる素質】を修得する。",
        "【王者の風格】を修得する。",
        "【万能アイドル】を修得する。",
        "【最強の負けず嫌い】を修得する。",
        "【超絶無敵コーデ】を修得する。",
        "【強く正しく美しく】を修得する。",
      ]
      text = textFromD66Table(title, table)

      if /レアアイドルスキル修得表を使ってアイドルスキルを一つ修得する。/ =~ text
        text += "\n" + textFrom1D6Table(skillTitle, skillTable)
      elsif /アイテムをランダムに一つ獲得する。$/ =~ text
        text += "\n" + getItem
      end
      return text

    when 'FL'
      title = '駆け出しシーン表'
      table = [
        "トレーニングルームで、皆が真剣な顔をしている。真面目な雰囲気が場を支配しており、軽い冗談も言えなさそう。",
        "いつものたまり場。なのに、今日に限って、騒がしさがどこかに行ってしまったようだ。",
        "誰も歩いていない夜道。人気もなく、不安を抱くような暗闇に、足音だけが響いている。",
        "強い風と強い雨が吹きつける事務所の中。外に出れば、吹き飛ばされてしまいそう。",
        "曇り空の下。そこにいるだけで、暗い気持ちになるような、どんよりとした天気。",
        "雨が降り続けている。雨は、ずっと続いている。いつになったら晴れるのだろう。",
      ]
      return textFrom1D6Table(title, table)

    when 'LN'
      title = '孤独表'
      table = [
        "誰のことも信じられない。私は一人でやってみせる。\nPC全員の【理解度】すべてにチェックを入れる。センターPCは、アイドルスキル修得表を使ってアイドルスキルを一つ修得する。",
        "事件がきっかけで、事務所の空気が悪くなった。嫌な雰囲気。\n変調がランダムに三つ発生する。",
        "口調が荒くなり、きつい一言を仲間に言ってしまう。\nPC全員の【メンタル】が5点減少し、【理解度】すべてにチェックを入れる。",
        "ちょっとした注意がきっかけで、仲間と喧嘩をしてしまう。\nPC全員の【メンタル】が10点減少する。",
        "誰も、話をしない。気まずさと静寂が場を包んだ。このままでは、会場の空気も悪くなる。\n【目標動員数】が二倍になる。",
        "突然の強い雨に打たれる。ずぶぬれのところに一人。そんなところを誰かに目撃されてしまう。\nセンターPCの【獲得ファン人数】が半分になる。",
      ]
      return textFrom1D6Table(title, table)

    when 'MS'
      title = 'マイスキル名決定表'
      nameTable = [
        "形容表＋情景表＋マテリアル表",
        "形容表＋情景表＋アクション表",
        "形容表＋マテリアル表＋アクション表",
        "情景表＋マテリアル表＋アクション表",
        "形容表もしくは情景表＋称号表＋PCの名前",
        "マテリアル表もしくはアクション表＋称号表＋PCの名前",
      ]
      articleTitle = '称号表'
      articleTable = [
        "アイドル",
        "ガール／ボーイ",
        "パラダイス",
        "プリンセス／プリンス",
        "スタイル",
        "クイーン／キング",
      ]
      describeTitle = '形容表'
      describeTable =[
        [11, "ビギニング"],
        [12, "パワフル"],
        [13, "ビューティフル"],
        [14, "エターナル"],
        [15, "きらめき"],
        [16, "シャイニング"],
        [22, "パーフェクト"],
        [23, "1000%"],
        [24, "フレッシュ"],
        [25, "ドキドキ"],
        [26, "ワイルド"],
        [33, "ロイヤル"],
        [34, "ときめき"],
        [35, "ふわふわ"],
        [36, "スタイリッシュ"],
        [44, "小悪魔"],
        [45, "スーパー"],
        [46, "ウルトラ"],
        [55, "ハイパー"],
        [56, "ダイナマイト"],
        [66, "アルティメット"],
      ]
      sceneTitle = '情景表'
      sceneTable =[
        [11, "マーメイド"],
        [12, "ドリーム"],
        [13, "ピュア"],
        [14, "アニマル"],
        [15, "サンシャイン"],
        [16, "ムーンライト"],
        [22, "かわいい／かっこいい"],
        [23, "フューチャリング"],
        [24, "ライジング"],
        [25, "バーニング"],
        [26, "スターライト"],
        [33, "ボンバー"],
        [34, "レインボー"],
        [35, "フローズン"],
        [36, "ヒート"],
        [44, "ダーク"],
        [45, "ぴかぴか"],
        [46, "サンライズ"],
        [55, "スターダスト"],
        [56, "オーロラ"],
        [66, "ギャラクシー"],
      ]
      materialTitle = 'マテリアル表'
      materialTable =[
        [11, "バスケット"],
        [12, "エクスプレス"],
        [13, "エアプレーン"],
        [14, "ロケット"],
        [15, "ハリケーン"],
        [16, "バイク"],
        [22, "タイガー"],
        [23, "ドルフィン"],
        [24, "ドッグ"],
        [25, "キャット"],
        [26, "バニー"],
        [33, "ドラゴン"],
        [34, "ソード"],
        [35, "ランス"],
        [36, "パラソル"],
        [44, "ローズ"],
        [45, "ロータス"],
        [46, "コスモス"],
        [55, "キャンディ"],
        [56, "ハート"],
        [66, "フェニックス"],
      ]
      actionTitle = 'アクション表'
      actionTable =[
        [11, "スパイラル"],
        [12, "フライ"],
        [13, "シャワー"],
        [14, "ダイブ"],
        [15, "イリュージョン"],
        [16, "ラッシュ"],
        [22, "ターン"],
        [23, "ラブ"],
        [24, "ハグ"],
        [25, "ダッシュ"],
        [26, "シュート"],
        [33, "ダイビング"],
        [34, "クロス"],
        [35, "トリック"],
        [36, "ビーム"],
        [44, "スラッシュ"],
        [45, "ボイス"],
        [46, "ドライブ"],
        [55, "くるくる"],
        [56, "ジャンプ"],
        [66, "アクション"],
      ]
      effectTitle = 'マイスキル効果表'
      effectTable = [
        "演目を行ったときに使用できる。自分の【メンタル】が15点になる。この効果は、1回のセッションに1度まで使用できる。",
        "ミラクル・ミラクルシンクロ・パーフェクトミラクルを発生させたときに使用できる。【パフォーマンス値】が10点上昇する。この効果は、1回のセッションに1度まで使用できる。",
        "ファンブルではない判定の後に使用する。判定の達成値を12にする。この効果は、1回のセッションに1度まで使用できる。",
        "演目を行ったときに使用できる。自分以外のPC全員の【メンタル】が2D6点上昇する。この効果は、1回のセッションに1度まで使用できる。",
        "ライブフェイズ開始時に使用する。このフェイズの間、すべての判定の達成値にプラス2の修正がつく。この効果は、1回のセッションに1度まで使用できる。",
        "パフォーマンスのサイコロを振った後に使用する。サイコロ1つの出目を6にすることができる。この効果は、1回のセッションに1度まで使用できる。",
      ]
      name, nameNumber = get_table_by_1d6(nameTable)

      nameParts = []
      articleIndex = name.index(articleTitle)
      unless articleIndex.nil?
        text, number = get_table_by_1d6(articleTable)
        nameParts.push([articleIndex, articleTitle, text, number])
      end
      setArrayFromD66Table(nameParts, name, describeTitle, describeTable)
      setArrayFromD66Table(nameParts, name, sceneTitle, sceneTable)
      setArrayFromD66Table(nameParts, name, materialTitle, materialTable)
      setArrayFromD66Table(nameParts, name, actionTitle, actionTable)
      nameParts.sort!

      numberString = ""
      nameParts.each do |index, src, text1, number1|
        name.gsub!(src, text1)
        numberString += "#{src}#{number1},"
      end
      numberString = numberString[0, numberString.length - 1]
      return "#{title} ＞ [#{nameNumber},#{numberString}] ＞ #{name}\n" + textFrom1D6Table(effectTitle, effectTable)

    when 'ST'
      title = '演出表'
      table = [
        "見事なパフォーマンスに、人々が感動する。",
        "その声に観客が聞き惚れる。",
        "一糸乱れぬダンスが決まる。",
        "宙に飛ばしたマイクを見事にキャッチする。",
        "トランポリンなどを使って、会場の天井近くまでジャンプ。",
        "観客と一体になって決めポーズ。",
      ]
      return textFrom1D6Table(title, table)

    when 'FST'
      title = 'ファンタジー演出表'
      table = [
        "会場を覆っていた暗雲を退散させる。",
        "会場に花が咲く。",
        "炎の旋風が観客を燃え上がらせる。",
        "ハートの風船が会場中を飛び交う。",
        "羽を生やして会場を飛び回る。",
        "打ち上がった花火と共に決めポーズ。",
      ]
      return textFrom1D6Table(title, table)

    when 'CHO'
      title = 'サビ表'
      table = [
        [11, "冒険だ／アドベンチャー\nこの演目の間、スペシャル値が1点減少。"],
        [12, "世界中の愛／ラブ\nPC全員の【メンタル】が3点上昇。"],
        [13, "今届けたい／待ちきれない\nこの演目の【パフォーマンス値】が1点上昇。"],
        [14, "負けないぜ／勝ちたい\nこの演目のPPが5点減少（最低0）。"],
        [15, "感謝の言葉／ありがとうと\n変調がすべて回復する。"],
        [16, "キミとなら／あなたたちが\nこの演目の間、すべての【理解度】が2点高いものとして扱う。"],
        [22, "仲間となら／仲間の\nPC全員は、自分以外のキャラクターに対する【理解度】が1点上昇。"],
        [23, "マジで好き／MAX\nPC全員の【メンタル】が1D6点上昇。"],
        [24, "死にたいぐらいに／闇に落ちて\nこの演目の間、スペシャル値とファンブル値が1点減少。"],
        [25, "だけど／でも\nこの演目の間、一芸突破の目標値が5点になる。"],
        [26, "キスよりも／囁くよりも\nこの演目の間、【ビジュアル】が1点上昇する。"],
        [33, "一緒にいてほしい／ずっと\nアイドルクラスが「ほのぼの」のPC全員は【思い出】を1つ獲得。"],
        [34, "走る／走れ\nこの演目の間、【フィジカル】が1点上昇する。"],
        [35, "待ち焦がれる／いつまでも\nこの演目の間、シンフォニーを行ったとき、サイコロ1つの出目を1に変更できる。"],
        [36, "真夜中の／真昼の\nミラクル・ミラクルシンクロが発生したとき、【パフォーマンス値】にプラス5。"],
        [44, "笑おうぜ／笑顔で\nアイドルクラスが「コメディ」のPC全員は【獲得ファン人数】が［2D6に【ランク係数】をかけた数］点上昇。"],
        [45, "パーティだ／お金でも\nPC全員は、アイテムを1つランダムに獲得する。"],
        [46, "だから／それから\nこの演目の間、一芸突破以外の判定の達成値が1点上昇する。"],
        [55, "オレだけを見ろ／独占したい\n一芸突破を行っても、【メンタル】が減少しない。"],
        [56, "オレたちの歌／歌おう\nこの演目の間、【ボイス】が1点上昇する。"],
        [66, "愛しています／好きだ\nアイドルクラスが「マジメ」のPC全員の【メンタル】が5点上昇。"],
      ]
      return textFromD66Table(title, table)

    when 'SCH'
      title = '情熱の夏サビ表'
      table = [
        "夏は\nこの演目の間、PC全員の【パフォーマンス値】が1点上昇。",
        "熱いぜ！\nこの演目の間、PC全員のスペシャル値が1点減少。",
        "水着が\nこの演目の間、衣装の効果によって上昇する値にプラス1。",
        "乾いた喉\nこの演目の間、PC全員のファンブル値が3点上昇。",
        "潤う\n【メンタル】が5点以下のPC全員の【メンタル】が10点上昇。",
        "弾けて\nこの演目の間、パーフェクトミラクルの【パフォーマンス値】が15点上昇。",
      ]
      return textFrom1D6Table(title, table)

    when 'WCH'
      title = 'ぬくもりの冬サビ表'
      table = [
        "雪のような\nPC全員の【メンタル】が3点上昇。",
        "チョコレートに\nPC1人の【メンタル】が10点上昇。",
        "溶かしてあげる\nこの演目の間、PC全員の判定の達成値が1点上昇。",
        "特別な日\nこの演目の間、PC1人のスペシャル値が3点減少。",
        "吹雪が\nこの演目の間、ミラクルの【パフォーマンス値】が10点上昇。",
        "寒さも忘れて\nこの演目の間、PCはファンブルが発生しても、変調が発生しない。",
      ]
      return textFrom1D6Table(title, table)

    when 'NCH'
      title = '大自然サビ表'
      table = [
        "野生の\nPC全員の【メンタル】が1D6点上昇。",
        "パワーで\nこの演目の間、PC1人の【パフォーマンス値】が1D6点上昇。",
        "鍛えた体\nPC全員の【メンタル】が3点上昇。",
        "掴みとる\nこの演目の間、PC全員の【パフォーマンス値】が1点上昇。",
        "抱き留める\nこの演目の間、PC1人の【パフォーマンス値】が3点上昇。",
        "毎日が戦い\nPC1人の【獲得ファン人数】が［2D6に【ランク係数】をかけた数］点上昇。",
      ]
      return textFrom1D6Table(title, table)

    when /^IT(\d*)$/
      counts = 1
      counts = $1.to_i unless $1.empty?
      return getItem(counts)

    when 'DT'
      title = '衣装(チャレンジガールズ)'
      table = [
        [11, "１２＆８８\n自分の【パフォーマンス値】が決定したとき、その値を2点上昇する。"],
        [12, "Glow Up Princess\nパフォーマンスを行うとき、サイコロを追加で1つ振れる。"],
        [13, "しずく\nライブフェイズ開始時に、【メンタル】が5点上昇する。"],
        [14, "Pop☆Sweet\n自分の【メンタル】が上昇するとき、さらに1点上昇する。"],
        [15, "Ttype\n一芸突破をしても【メンタル】が減少しない。また、一芸突破をした時、達成値が1点上昇する。"],
        [16, "Vampire Story\nパフォーマンスの【パフォーマンス値】が10以上の場合、自分の【メンタル】が3点上昇する。"],
        [22, "Pure Mermaid\n【ビジュアル】の演目は、指定特技を《スタイル》に変更できる。指定特技が《スタイル》の演目では、【パフォーマンス値】が2点上昇する。"],
        [23, "I'm cute\nライブフェイズ開始時に【メンタル】が1点上昇する。幕間の開始時に能力値を1つ選ぶ。選ばれた能力値は、このライブフェイズの間、1点上昇する。"],
        [24, "No.1 Girl\n【パフォーマンス値】が決定するとき、【メンタル】を1点減少することで、【パフォーマンス値】が3点上昇する。"],
        [25, "Final Romance\n【ビジュアル】のパフォーマンスを行うとき、キャラクターを1人選ぶ。選んだキャラクターの自分に対する【理解度】と同じだけ、【パフォーマンス値】が上昇する。"],
        [26, "Prism Line\nパフォーマンス1回につき、1度だけパフォーマンスに使用したサイコロ1つを振り直すことができる。"],
        [33, "さーばんとさーびす\nシンフォニーを行うたびに、そのパフォーマンスの【パフォーマンス値】が3点上昇する。"],
        [34, "Travel Bag\n幕間に自分の【理解度】チェック1つを外すことができる。"],
        [35, "JewelC\n開幕演目と幕間にアイテムを1つ選んで獲得する。"],
        [36, "Sweet Girl\nパフォーマンスを行ったPCは、【メンタル】を2点上昇する。"],
        [44, "Satisfaction West\nミラクル、ミラクルシンクロ、パーフェクトミラクルが発生したとき【パフォーマンス値】を5点上昇する。"],
        [45, "Under Big Ben\n使用能力が【ボイス】のパフォーマンスの【パフォーマンス値】が10以上の場合、自分に対する【理解度】チェック1つを外すことができる。"],
        [46, "PIERO\n一芸突破の達成値が2点上昇する。"],
        [55, "甘々娘々\n使用能力が【ビジュアル】のパフォーマンスを行うとき、【パフォーマンス値】が3点上昇する。"],
        [56, "花鳥風月\nシンフォニーを行うとき、振るサイコロの数を1つ増やす、もしくは1つ減らすことができる。"],
        [66, "Jingle Bells\nリザルトフェイズに以下の効果が発生する。リザルトフェイズに、【獲得ファン人数】が1D6点上昇する。また、PC全員は、条件を満たしていなくても「お願い」をすることができる。"],
      ]
      return textFromD66Table(title, table)

    when 'RC'
      title = '衣装(ロードトゥプリンス)'
      table = [
        [11, "Angel kiss\nパフォーマンスを行うとき、1の目が出たサイコロは取り除かれない。シンフォニーを行ったとき、1の目が出たサイコロをすべて取り除く。"],
        [12, "Pirate ship\n指定特技が属性分野の演目を行うとき、その指定特技を《セクシー／属性4》に変更することができる。"],
        [13, "ロードトゥプリンス\nミラクル、ミラクルシンクロ、パーフェクトミラクルが発生したとき、そのキャラクターは【メンタル】が10点上昇する。"],
        [14, "Princess Guardian\n自分以外のキャラクターの【メンタル】が0点になったときに、《気配り／才能9》で判定を行うことができる。この判定には、個性特技は使用できない。成功すると、そのキャラクターは、【獲得ファン人数】が半分にならない。"],
        [15, "Starlight TourS\nライブフェイズの間、演目を1つ選んで、指定特技を《スター／属性12》に変更できる。"],
        [16, "花鳥風月・裏\nライブフェイズ中、一度だけ場に残っているすべてのサイコロの目を反転（1なら6に、2なら5に、3なら4に）することができる。"],
        [22, "しくらま\n判定に使用したサイコロの目が7の場合、【メンタル】が7点上昇する。"],
        [23, "Chime\nミラクル、ミラクルシンクロ、パーフェクトミラクルが発生したとき、そのキャラクターはランダムにアイテムを1つ獲得する。"],
        [24, "砂上の光\nシンフォニーを行ったとき、シンフォニーを受けたキャラクターの【メンタル】が5点上昇する。"],
        [25, "Air by me\n幕間の開始時に、【メンタル】が5点上昇する。"],
        [26, "戦国ストリート\n演目の使用能力が【フィジカル】のとき、【パフォーマンス値】が2点上昇する。また、指定特技が《ダンス／趣味9》の場合、【パフォーマンス値】が2点上昇する。"],
        [33, "Wild man\n一芸突破の達成値が2点上昇する。ただし、スペシャルは発生しなくなる。"],
        [34, "Gray Stand\n【獲得ファン人数】が減少したとき、減少した値の半分（端数切り捨て）と同じ値だけ、【獲得ファン人数】が上昇する。"],
        [35, "トイ ARM\n演目の開始時に、2D6を振る。その結果が11以上の場合、この演目では【メンタル】が減少しない。"],
        [36, "white plan\nファンブルが発生しても変調を受けない。"],
        [44, "SINOBI\n開幕演目を行うとき、出ないことを選択することができる。"],
        [45, "V-X\nミラクルが発生したときの【パフォーマンス値】を15にできる。"],
        [46, "ドラゴンナックル\n幕間より後、PCが行うパフォーマンスの【パフォーマンス値】が4点上昇する。"],
        [55, "Halloween Magic\n後半PPによって【メンタル】が減少するとき、その値を4点減少する（最低0）。"],
        [56, "Satisfaction East\n【獲得ファン人数】が減少したとき、【メンタル】を20点にすることができる。"],
        [66, "Devil kiss\nパフォーマンスを行うとき、6の目が出たサイコロは取り除かれない。シンフォニーを行ったとき、6の目が出たサイコロをすべて取り除く。"],
      ]
      return textFromD66Table(title, table)

    when 'CBT'
      title = 'キャラ空白表(チャレンジガールズ)'
      table = [
        [11, '変わった言葉遣い'],
        [12, '口ぐせ'],
        [13, '動物っぽい'],
        [14, '和風'],
        [15, 'お調子者'],
        [16, '計算高い'],
        [22, '妹／姉キャラ'],
        [23, 'ポジティブ！'],
        [24, 'ネガティブ……'],
        [25, 'やんちゃ'],
        [26, '年齢'],
        [33, 'きぐるみ'],
        [34, '負けず嫌い'],
        [35, '努力家'],
        [36, '語りたがり'],
        [44, '天然'],
        [45, '物まね'],
        [46, '特徴なし'],
        [55, '直感'],
        [56, 'ピアノ'],
        [66, '大切な人'],
      ]
      return textFromD66Table(title, table)

    when 'RCB'
      title = 'キャラ空白表(ロードトゥプリンス)'
      table = [
        [11, '悩み多し'],
        [12, '俺様'],
        [13, '弟系'],
        [14, 'がんばり屋'],
        [15, '物静か'],
        [16, '不器用'],
        [22, '二重人格'],
        [23, 'ラッキーボーイ'],
        [24, '愛され系'],
        [25, '小悪魔'],
        [26, 'のほほん'],
        [33, '静かな狂気'],
        [34, '肉体派'],
        [35, 'ポエマー'],
        [36, 'おせっかい'],
        [44, '恋愛好き'],
        [45, 'おかん'],
        [46, '批評家'],
        [55, '孤高'],
        [56, '兄貴分'],
        [66, '女嫌い'],
      ]
      return textFromD66Table(title, table)

    when 'HBT'
      title = '趣味空白表(チャレンジガールズ)'
      table = [
        [11, '無趣味'],
        [12, 'ティータイム'],
        [13, '詩'],
        [14, '資格修得'],
        [15, 'イラスト'],
        [16, 'ぬいぐるみ'],
        [22, '睡眠'],
        [23, '長電話'],
        [24, 'メール'],
        [25, '昆虫採集'],
        [26, '編み物'],
        [33, '食事'],
        [34, '散歩'],
        [35, '天体観測'],
        [36, 'カフェ巡り'],
        [44, 'お風呂'],
        [45, '小物コレクション'],
        [46, 'ガーデニング'],
        [55, '登山'],
        [56, '歴史マニア'],
        [66, '家事'],
      ]
      return textFromD66Table(title, table)

    when 'RHB'
      title = '趣味空白表(ロードトゥプリンス)'
      table = [
        [11, '鉄道'],
        [12, '華道'],
        [13, '旅行'],
        [14, '日曜大工'],
        [15, '習字'],
        [16, '俳句'],
        [22, '食べ歩き'],
        [23, '筋トレ'],
        [24, '工作'],
        [25, '資格修得'],
        [26, '釣り'],
        [33, '街歩き'],
        [34, 'ファッション'],
        [35, '飼育'],
        [36, 'いたずら'],
        [44, '街でナンパ'],
        [45, '読書'],
        [46, '家事全般'],
        [55, '昆虫採集'],
        [56, 'アート'],
        [66, '睡眠'],
      ]
      return textFromD66Table(title, table)

    when 'RU'
      title = 'マスコット暴走表'
      table = [
        "激しいアクションで興味を持った人たちを呼び寄せる。\nPC全員の【獲得ファン人数】が5点上昇する。",
        "マスコットキャラクターから聞こえてはいけない音が聞こえてきて、次の瞬間には動かなくなってしまった。\nこのセッションの間、マスコットキャラクターが使用できなくなる。",
        "マスコットキャラクターが行方不明！　プロデューサーが代わりに着ぐるみを着たけれども、負担が大きかった。\n変調「怪我」が発生する。",
        "マスコットキャラクターが不適切な発言をしてしまい、連帯責任で謝罪することになってしまう。\nPC全員の【獲得ファン人数】が、それぞれ5点減少する。",
        "マスコットキャラクターが転んで起き上がれなくなってしまった！　みんなで力を合わせて助け起こそう。\nPC全員の【メンタル】が3点減少する。",
        "マスコットが突然PCに物申す。問題点を挙げて、鍛えてくれる。\nPC一人は、「アイドルスキル修得表」を使って、アイドルスキルを一つ修得する。",
      ]
      return textFrom1D6Table(title, table)

    when /^(\d{2})C$/
      title = 'バーストタイム'
      degrees = $1.to_i
      counts = 6
      if degrees < 45 || degrees > 55
        return nil
      elsif degrees <= 49
        counts = 3
      elsif degrees <= 52
        counts = 4
      elsif degrees <= 54
        counts = 5
      end

      dice = []
      total = degrees
      counts.times do
        number, = roll(1, 6)
        total += number
        dice.push(number)
      end
      dice.sort!

      text = "#{title} ＞ #{degrees}+[" + dice.join(',') + "] ＞ #{total} ＞ "
      if total >= 80
        table = [
          "熱い！　熱い！\n【メンタル】が2点減少する。",
          "慌てて浴槽から出ようとしたが、足を滑らせて浴槽に落ちる。ウケたはいいが、とても熱い。\n【メンタル】が1D6点減少し、【獲得ファン人数】が3D6点上昇する。",
          "温かい目で見守っていた仲間の手を力いっぱい引っ張り、浴槽に引きずり込む。\n自分以外のPCを一人選ぶ。選ばれたPCは、【メンタル】を3点減少させ、「バーストタイム」を行う。",
          "あまりの熱さに浴槽へ入り損ねていたら、仲間の一人に叩き落とされる。\n【メンタル】を2点減少してから、PCを一人選ぶ。選んだPCに対する【理解度】が3点上昇し、チェックを外す。",
          "思い切って氷を頭から浴びる。クールダウン完了！\n【メンタル】を2点減少させることで、もう一度「バーストタイム」を行うことができる。",
          "熱湯風呂に入るための着替えに手間取ってしまい、急かされてしまう。結果、満足に着替えができなかった。\nこのライブフェイズの間、衣装の効果が無効化される。",
        ]
        text += "Burst!\n" + textFrom1D6Table("バースト表", table, nil, true)
      elsif total >= 65
        number, string = roll(2, 6, 1)
        string = "成功\n【獲得ファン人数】が #{number}[#{string}] 点上昇する。"
        if total >= 75
          string = "大#{string}\nPC全員が挑戦者ではない場合、自分以外のPCを一人指名する。指名されたPCは、新たな挑戦者として、【メンタル】を減少させずに「バーストタイム」を行う。"
        end
        text += string
      else
        text += '失敗'
      end
      return text

    when 'BVT'
      title = '大手芸能プロダクション会場表'
      table = [
        '自社内テレビスタジオ',
        '自社内ライブステージ',
        '自社番組',
        'イベント会場',
        'ショッピングセンター',
        '自社主催フェス',
      ]
      return textFrom1D6Table(title, table)

    when 'LVT'
      title = '弱小芸能プロダクション会場表'
      table = [
        '地方のお祭り',
        'CDショップ前',
        '小劇場',
        '音楽番組',
        'ローカルテレビ',
        '芸能関係社共同開催フェス',
      ]
      return textFrom1D6Table(title, table)

    when 'TVT'
      title = 'ライブシアター会場表'
      table = [
        'ライブシアター',
        'ライブシアター',
        'ライブシアター',
        'ライブシアター',
        'ライブシアター',
        'ライブシアター',
      ]
      return textFrom1D6Table(title, table)

    when 'CVT'
      title = 'アイドル部会場表'
      table = [
        '運動場',
        '体育館',
        '屋上',
        '街中',
        '地元のイベント',
        '学園アイドル大会',
      ]
      return textFrom1D6Table(title, table)

    when 'BST'
      title = '大手芸能プロダクション場所表'
      table = [
        '社内プロジェクトルーム',
        '社内カフェ',
        '社内プール',
        '社内レッスンルーム',
        'ショッピングセンター',
        '社内エステルーム',
      ]
      return textFrom1D6Table(title, table)

    when 'LST'
      title = '弱小芸能プロダクション場所表'
      table = [
        '給湯室',
        '客間',
        '居間',
        '屋上',
        '社長室',
        '近所の公演',
      ]
      return textFrom1D6Table(title, table)

    when 'TST'
      title = 'ライブシアター場所表'
      table = [
        '私たちの舞台',
        '控室',
        '売店',
        'シアター前',
        'レッスンルーム',
        '舞台袖',
      ]
      return textFrom1D6Table(title, table)

    when 'CST'
      title = 'アイドル部場所表'
      table = [
        '部室',
        '音楽室',
        '教室',
        '屋上',
        '運動場',
        '体育館',
      ]
      return textFrom1D6Table(title, table)

    when 'BPT'
      title = '大手芸能プロダクションプレッシャー種別決定表'
      table = [
        '先輩アイドルたちの期待',
        '後輩アイドルたちからの憧れ',
        '社長の視察',
        '同期アイドルたちとの競い合い',
        '大物ゲスト登場',
        'TV番組のプロデューサー',
      ]
      return textFrom1D6Table(title, table)

    when 'LPT'
      title = '弱小芸能プロダクションプレッシャー種別決定表'
      table = [
        '熱心にライブに来てくれるファン',
        'とても悪い条件でのステージ',
        '大手プロダクションの視察',
        'ドレスデザイナーの品定め',
        '新曲を提供したミュージシャン',
        '取材に来た芸能記者',
      ]
      return textFrom1D6Table(title, table)

    when 'TPT'
      title = 'ライブシアタープレッシャー種別決定表'
      table = [
        'ライブシアターに毎日来てくれるファン',
        'ライブシアターで働くスタッフ',
        'シアター経営者の視察',
        'シアターに偶然立ち寄った大勢の観客',
        '並行して行われるイベントのファン',
        'ライバルライブシアターのアイドルユニット',
      ]
      return textFrom1D6Table(title, table)

    when 'CPT'
      title = 'アイドル部プレッシャー種別決定表'
      table = [
        'ライバルチーム「海原校」の挑戦',
        "最強チーム「Tiara's」の偵察",
        'PTAの視察',
        'PCの親',
        '仲の良い同級生',
        'ライバルチーム「聖国際女学園」の挑戦',
      ]
      return textFrom1D6Table(title, table)

    when 'BIT'
      title = '大手芸能プロダクション道具表'
      table = [
        '栄養ドリンク',
        '自動販売機',
        '先輩アイドルのポスター',
        '先輩アイドルのCD',
        'アイドル雑誌',
        '台本',
      ]
      return textFrom1D6Table(title, table)

    when 'LIT'
      title = '弱小芸能プロダクション道具表'
      table = [
        'セロハンテープ',
        '冷蔵庫',
        '百円玉',
        'ボロボロのソファー',
        'おにぎり',
        'キッチン',
      ]
      return textFrom1D6Table(title, table)

    when 'TIT'
      title = 'ライブシアター道具表'
      table = [
        '舞台の照明',
        '企画書',
        'PCのグッズ',
        'ホワイトボード',
        'ライブポスター',
        'うどん',
      ]
      return textFrom1D6Table(title, table)

    when 'CIT'
      title = 'アイドル部道具表'
      table = [
        'パソコン',
        '机',
        '鞄',
        'ハンディカメラ',
        'ジャージ',
        '投票箱',
      ]
      return textFrom1D6Table(title, table)
    end
    return nil
  end

  def rollEach1D6(counts, diceAll, diceByOne)
    counts.times do
      number, = roll(1, 6)
      diceAll[number] += 1
      diceByOne.push(number)
    end
    diceByOne.sort!
  end

  def textFromD66Table(title, table, chance = '')
    number, text, skill = table.assoc(d66(2))
    if !chance.empty? && /チャンスが(\d{1,2})以下ならオフ。/ =~ text
      if $1.to_i >= chance.to_i
        text = "オフ"
        skill = ''
      else
        text.slice!($&)
        text.slice!(/\n$/)
      end
    end
    return "#{title} ＞ [#{number}] ＞ " + replaceBadStatus(text) + skillText(skill)
  end

  def textFrom1D6Table(title, table1, table2 = nil, autoRoll = false)
    text1, number1 = get_table_by_1d6(table1)
    while (autoRoll && /(\d+)D6点/ =~ text1)
      counts = $1.to_i
      total, string = roll(counts, 6, 1)
      replacement = " "
      if counts > 1
        replacement += total.to_s
      end
      replacement += "[#{string}] 点"
      text1.gsub!("#{$1}D6点", replacement)
    end

    text = "#{title} ＞ "
    if table2.nil?
      text += "[#{number1}] ＞ #{text1}"
    else
      text2, number2 = get_table_by_1d6(table2)
      text += "[#{number1},#{number2}] ＞ #{text1}#{text2}"
    end

    if /ランダムに決定した特技が指定特技のアイドルスキル\(身長分野、(属性|才能)分野、出身分野が出たら振り直し\)$/ =~ text
      while true
        skill = skillList
        text += "\n#{skill}"
        break unless skill.include?("身長") || skill.include?($1) || skill.include?("出身")
        text += " ＞ 振り直し"
      end
    end
    return replaceBadStatus(text)
  end

  def skillList(field = 0)
    title = '特技リスト'
    table = [
      ['身長', ['～125','131','136','141','146','156','166','171','176','180','190～']],
      ['属性', ['エスニック','ダーク','セクシー','フェミニン','キュート','プレーン','パッション','ポップ','バーニング','クール','スター']],
      ['才能', ['異国文化','スタイル','集中力','胆力','体力','笑顔','運動神経','気配り','学力','セレブ','演技力']],
      ['キャラ', ['中二病','ミステリアス','マイペース','軟派','語尾','キャラ分野の空白','元気','硬派','物腰丁寧','どじ','ばか']],
      ['趣味', ['オカルト','ペット','スポーツ','おしゃれ','料理','趣味分野の空白','ショッピング','ダンス','ゲーム','音楽','アイドル']],
      ['出身', ['沖縄','九州地方','四国地方','中国地方','近畿地方','中部地方','関東地方','北陸地方','東北地方','北海道','海外']],
    ]

    number1 = 0
    if field == 0
      table, number1 = get_table_by_1d6(table)
    else
      table = table[field - 1]
    end
    fieldName, table = table
    skill, number2 = get_table_by_2d6(table)

    text = title.dup
    if field == 0
      text += " ＞ [#{number1},#{number2}]"
    else
      text += "(#{fieldName}分野) ＞ [#{number2}]"
    end
    return "#{text} ＞ 《#{skill}／#{fieldName}#{number2}》"
  end

  def badStatus(counts = 1)
    title = '変調'
    table = [
      "「不穏な空気」　PCの【メンタル】が減少するとき、減少する数値が1点上昇する",
      "「微妙な距離感」　【理解度】が上昇しなくなる",
      "「ガラスの心」　PCのファンブル値が1点上昇する",
      "「怪我」　幕間のとき、プロデューサーは「回想」しか行えない",
      "「信じきれない」　PC全員の【理解度】を1点低いものとして扱う",
      "「すれ違い」　PCはアイテムの使用と、リザルトフェイズに「おねがい」をすることができなくなる",
    ]

    return '' if counts <= 0
    diceAll = [0, 0, 0, 0, 0, 0, 0]
    diceByOne = []
    rollEach1D6(counts, diceAll, diceByOne)

    text = title + ' ＞ [' + diceByOne.join(',') + '] ＞ '
    occurrences = diceAll.count - diceAll.count(0)
    if occurrences > 1
      text += "以下の#{occurrences}つが発生する。\n"
    end
    for i in 1..6
      if diceAll[i] > 0
        text += table[i - 1] + "\n"
      end
    end
    return text[0, text.length - 1]
  end

  def skillText(skill)
    return '' if skill.nil? || skill.empty?
    text = skill.dup
    if /^AT([1-6]?)$/ =~ text
      text = skillList($1.to_i)
    else
      text = "特技 : #{text}"
    end
    return "\n#{text}"
  end

  def setArrayFromD66Table(array, name, src, table)
    index = name.index(src)
    return if index.nil?
    number, text, = table.assoc(d66(2))
    array.push([index, src, text, number])
  end

  def getItem(counts = 1)
    title = 'アイテム'
    table = [
      "スタミナドリンク",
      "トレーニングウェア",
      "ドリーミングシューズ",
      "キャラアイテム",
      "お菓子",
      "差し入れ",
    ]

    return '' if counts <= 0
    diceAll = [0, 0, 0, 0, 0, 0, 0]
    diceByOne = []
    rollEach1D6(counts, diceAll, diceByOne)

    text = "#{title} ＞ [" + diceByOne.join(',') + '] ＞ '
    for i in 1..6
      next if diceAll[i] <= 0
      string = table[i - 1].dup
      unless diceAll.count(0) == 6
        string = "「#{string}」"
      end
      text += string
      unless diceAll.count == diceAll.count(0) + diceAll.count(1)
        text += diceAll[i].to_s + 'つ'
      end
      text += 'と'
    end
    text.slice!(/と$/)
    return text
  end

  def replaceBadStatus(text)
    return text unless /変調がランダムに(一|二|三)つ発生する。/ =~ text
    counts = 1
    case $1
    when '二'
      counts = 2
    when '三'
      counts = 3
    end

    substitution = text.dup
    substitution.slice!($&)
    substitution += "\n" unless substitution.empty? || /\n$/ =~ substitution
    return substitution + badStatus(counts)
  end
end
